import 'package:vies/vies.dart';

void main() async {
  // Check VAT Number validity and get relative informations
  try {
    final ViesValidationResponse res = await ViesProvider.validateVat(
        countryCode: 'BE', vatNumber: '0123456789');
    print(res.toString());
  } on ViesClientError catch (e) {
    print(e.toString());
  } on ViesServerError catch (e) {
    print(e.toString());
  } catch (e) {
    print(e.toString());
  }
}
